<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:background="@color/themeColor">

        <TextView
            android:id="@+id/titleView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:text="地下管线电子标识探测仪"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16" />

        <ImageView
            android:id="@+id/rightImageView"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:paddingHorizontal="@dimen/dp_10"
            android:src="@drawable/ic_more_white" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="@dimen/dp_5">

        <Button
            android:id="@+id/installButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:text="安装" />

        <Button
            android:id="@+id/viewButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_marginHorizontal="@dimen/dp_5"
            android:layout_weight="1"
            android:text="查看" />

        <Button
            android:id="@+id/inspectionButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:text="巡检" />

        <Button
            android:id="@+id/detectionButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_marginStart="@dimen/dp_5"
            android:layout_weight="1"
            android:text="探测" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.amap.api.maps.MapView
            android:id="@+id/mapView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_margin="@dimen/dp_7"
            app:cardCornerRadius="@dimen/dp_7"
            app:cardElevation="@dimen/dp_5">

            <ImageButton
                android:id="@+id/aimButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_7"
                android:src="@drawable/ic_aim" />
        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45px"
            android:layout_gravity="bottom">

            <ImageView
                android:layout_width="150px"
                android:layout_height="match_parent"
                android:scaleType="fitXY"
                android:src="@mipmap/casic_203" />

            <TextView
                android:id="@+id/currentLocationView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/themeOpacityColor"
                android:padding="@dimen/dp_3"
                android:singleLine="true"
                android:text="@string/app_name"
                android:textColor="@color/black" />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>